> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# rotate-org-workspace-secret

> Rotate the secret for an organization workspace.



## OpenAPI

````yaml /api-reference/membrane-api.json post /org-workspaces/{id}/rotate-secret
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /org-workspaces/{id}/rotate-secret:
    post:
      summary: rotate-org-workspace-secret
      description: Rotate the secret for an organization workspace.
      operationId: rotateOrgWorkspaceSecret
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Rotate the secret for an organization workspace.
          content:
            application/json:
              schema:
                type: object
                properties:
                  secret:
                    type: string
                    description: The new workspace secret
                required:
                  - secret
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````